package kuaizhan

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db/offical"
	"github.com/syyongx/php2go"
	"time"
	"xorm.io/xorm"
)

func KuaizhanUrl(engine *xorm.Engine, args map[string]string) string {
	kuaizhan_host := offical.SysCfgByKeyStr(engine, "kuaizhan_host")
	if kuaizhan_host == "" {
		return ""
	}
	numData := offical.GetKuaizhanUrl(engine, args["mid"])
	if numData.EndTime.Unix() <= time.Now().Unix() {
		return ""
	}
	kuaizhan_host += "?code=" + php2go.URLEncode(php2go.Base64Encode(args["url"]))
	return kuaizhan_host
}
