package kuaizhan

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db/offical"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db/offical/model"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"strings"
	"time"
	"xorm.io/xorm"
)

func ShortUrlSend(engine *xorm.Engine, uid string, url string) string {
	num := KuaizhanShortUrlNumGetSmsNum(engine, uid)
	if num <= 0 {
		return url
	}
	if strings.Contains(url, "kuaizhan") {

	}
	return url
}
func GetKuaizhanUrl(url string) {
	method := "https://cloud.kuaizhan.com/api/v1/tbk/genKzShortUrl"
	appKey := "7w2N8ohpFJxW"
	appSecret := "11f7fa9a66c75229aca909b6c171cf84fa747ec4"
	arg := map[string]string{
		"appKey": appKey,
		"url":    url,
	}
	str := "appKey" + appKey + "url" + url
	arg["sign"] = zhios_third_party_utils.Md5(appSecret + str + appSecret)
	post, err := zhios_third_party_utils.CurlPost(method, arg, nil)
	fmt.Println(string(post))
	fmt.Println(err)
}

// 数量
func KuaizhanShortUrlNumGetSmsNum(engine *xorm.Engine, uid interface{}) int {
	numData := offical.GetKuaizhanShortUrl(engine, uid)
	num := 0
	if numData != nil {
		num = numData.Num
	}
	if num < 0 {
		num = 0
	}
	return num
}

// 发送
func KuaizhanShortUrlSend(engine *xorm.Engine, args map[string]interface{}) error {
	num := KuaizhanShortUrlNumGetSmsNum(engine, args["uid"])
	//存入记录
	ext := map[string]interface{}{
		"post": args,
	}
	var record = model.KuaizhanShortUrlRecord{
		OrdId:     "",
		Uid:       int(zhios_third_party_utils.AnyToInt64(args["uid"])),
		Amount:    "1",
		CostPrice: "",
		Balance:   zhios_third_party_utils.IntToStr(num - 1),
		PayWay:    0,
		State:     1,
		Memo:      "短链",
		CreateAt:  time.Now(),
		UpdateAt:  time.Now(),
		TradeNo:   "",
		Type:      1,
		OrdType:   "buy",
		Fee:       "",
		Ext:       zhios_third_party_utils.SerializeStr(ext),
	}
	engine.InsertOne(&record)
	sql := `UPDATE kuaizhan_short_url_num_list set num=num-%d WHERE uid=%s ;`
	sql = fmt.Sprintf(sql, 1, args["uid"])
	fmt.Println(sql)
	nativeString, err := db.QueryNativeString(engine, sql)
	fmt.Println(nativeString)
	fmt.Println(err)
	return nil
}
